#!/bin/bash
# -------------------------------------------------------------------------
# Cron job to remove old EUMETCast products      (RSS frames most critical)
# NOTE: -mtime n is n*24 hours ago, -mmin n is n minutes ago (1day=1440min)
# If you change the layout of your system or add products change this too!!
#
# CH-3123 Belp, 2022/12/10          License GPL3         (c) Ernst Lobsiger
# -------------------------------------------------------------------------

# Top data directory
datdir=$HOME/SPSdata


# DEBUG is /dev/stdout or /dev/null
DEBUG=/dev/null
products=$datdir/products
overlays=$datdir/overlays
xtmpdirs=$datdir/tmpdirs

GEOtrim()
{
  find $products/$1/frames/*.jpg  -maxdepth 1 -type f -mtime +$2 -exec rm {} \; 2>$DEBUG
  find $products/$1/images/*.jpg  -maxdepth 1 -type f -mtime +$3 -exec rm {} \; 2>$DEBUG
  find $products/$1/movies/*.webm -maxdepth 1 -type f -mtime +$4 -exec rm {} \; 2>$DEBUG
}
LEOtrim()
{
  find $products/$1/NIG/*.jpg  -maxdepth 1 -type f -mtime +$2 -exec rm {} \; 2>$DEBUG
  find $products/$1/DAY/*.jpg  -maxdepth 1 -type f -mtime +$3 -exec rm {} \; 2>$DEBUG
}

MSLPtrim()
{
  find $products/$1/dwda/*.jpg   -maxdepth 1 -type f -mtime +$2 -exec rm {} \; 2>$DEBUG
  find $products/$1/dwdn/*.jpg   -maxdepth 1 -type f -mtime +$2 -exec rm {} \; 2>$DEBUG
  find $products/$1/dwdc/*.jpg   -maxdepth 1 -type f -mtime +$2 -exec rm {} \; 2>$DEBUG
  find $products/$1/dwdi/*.jpg   -maxdepth 1 -type f -mtime +$2 -exec rm {} \; 2>$DEBUG
  find $products/$1/opcae/*.jpg  -maxdepth 1 -type f -mtime +$3 -exec rm {} \; 2>$DEBUG
  find $products/$1/opcaw/*.jpg  -maxdepth 1 -type f -mtime +$3 -exec rm {} \; 2>$DEBUG
  find $products/$1/opcpe/*.jpg  -maxdepth 1 -type f -mtime +$3 -exec rm {} \; 2>$DEBUG
  find $products/$1/opcpw/*.jpg  -maxdepth 1 -type f -mtime +$3 -exec rm {} \; 2>$DEBUG
  find $products/$1/ukmos/*.jpg  -maxdepth 1 -type f -mtime +$4 -exec rm {} \; 2>$DEBUG
  find $products/$1/ukmol/*.jpg  -maxdepth 1 -type f -mtime +$4 -exec rm {} \; 2>$DEBUG
  find $products/$1/ukmox/*.jpg  -maxdepth 1 -type f -mtime +$4 -exec rm {} \; 2>$DEBUG
}

OVERLAYtrim()
{
  find $overlays/dwda/*.png   -maxdepth 1 -type f -mtime +$1 -exec rm {} \; 2>$DEBUG
  find $overlays/dwdn/*.png   -maxdepth 1 -type f -mtime +$1 -exec rm {} \; 2>$DEBUG
  find $overlays/dwdc/*.png   -maxdepth 1 -type f -mtime +$1 -exec rm {} \; 2>$DEBUG
  find $overlays/dwdi/*.png   -maxdepth 1 -type f -mtime +$1 -exec rm {} \; 2>$DEBUG
  find $overlays/opcae/*.png  -maxdepth 1 -type f -mtime +$2 -exec rm {} \; 2>$DEBUG
  find $overlays/opcaw/*.png  -maxdepth 1 -type f -mtime +$2 -exec rm {} \; 2>$DEBUG
  find $overlays/opcpe/*.png  -maxdepth 1 -type f -mtime +$2 -exec rm {} \; 2>$DEBUG
  find $overlays/opcpw/*.png  -maxdepth 1 -type f -mtime +$2 -exec rm {} \; 2>$DEBUG
  find $overlays/ukmos/*.png  -maxdepth 1 -type f -mtime +$3 -exec rm {} \; 2>$DEBUG
  find $overlays/ukmol/*.png  -maxdepth 1 -type f -mtime +$3 -exec rm {} \; 2>$DEBUG
  find $overlays/ukmox/*.png  -maxdepth 1 -type f -mtime +$3 -exec rm {} \; 2>$DEBUG
}

TMPXtrim()
{
  for f in `ls -d $xtmpdirs/* 2>$DEBUG`
  do
    find $f/*.png  -maxdepth 1 -type f -mtime +$1 -exec rm {} \; 2>$DEBUG
  done
}

# Delete GEO frames/images/movies
GEOtrim MSG2   3 10 30
GEOtrim MSG3   3 10 30
GEOtrim MSG4   3 10 30
GEOtrim HIMA8  3 10 30
GEOtrim GOES16 3 10 30
GEOtrim GOES18 3 10 30

# Delete LEO images NIG/DAY
LEOtrim Aqua   30 30
LEOtrim Terra  30 30
LEOtrim MetopB 30 30
LEOtrim MetopC 30 30
LEOtrim MetopX 30 30
LEOtrim SNPP   30 30
LEOtrim NOAA20 30 30
LEOtrim NOAAX  30 30
LEOtrim FY3D   30 30
LEOtrim Sen3A  30 30
LEOtrim Sen3B  30 30
LEOtrim Sen3X  30 30

# Delete GEO MSLP charts DWD/OPC/UKMO
MSLPtrim MSLP 30 30 30

# Delete png MSLP overlays DWD/OPC/UKMO
OVERLAYtrim 5 5 5

# Delete e.g. old remainders from different composite and area tests
TMPXtrim 10

# All done!

